Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/7832/?format=api
{ "ob_id": 7832, "uuid": "9dfcbe861cfb6c477619c6cf38b70c73", "title": "NCAVEO: Digital Camera Imagery collected during the flight of a Cessna 404 Aircraft operated by the UK Environment Agency (EA)", "abstract": "Imagery was collected using a digital multispectral camera during the flight of a Cessna 404 aircraft operated by the UK Environment Agency (EA), for the 2006 field campaign of the Network for Calibration and Validation of EO data (NCAVEO). The flight took place between 9:46 and 11:16 am on 17th June 2006. The digital camera was integrated with an on-board navigation system to provide accurate geometric correction through post-processing. The true colour images are 4080 x 4080 in size, with a nominal ground resolution around 40 cm. The dataset also includes a polygon shape file including the British National Grid geographic co-ordinates and elevation of each photograph. ", "keywords": "NCAVEO, IMAGERY, CESSNA, MULTISPECTRAL", "publicationState": "published", "dataPublishedTime": "2007-10-16T23:12:00", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/12664/?format=api", "dataPath": "/neodc/ncaveo_field/data/Environment_Agency/Digital_Photography", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 12014015659, "numberOfFiles": 191, "fileFormat": "Original images are in TIF format. \r\nPhoto position data is stored in DBF, SBX, SHX, SBN, SHP and text formats. " }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/2248/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/172/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "These data were provided to NEODC by university of Southampton, who carried out work to convert formats to NASA-Ames, and write metadata documents. The metadata documents describing the processing are archived alongside the data as PDF files.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/5087/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/7827/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/7824/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/30128/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32342/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32347/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32348/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32344/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32345/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32346/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32341/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32343/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/7835/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }